%define snap	0

%define major	5
%define libname	%mklibname cec %major
%define devname	%mklibname cec -d

Name:		libcec
Version:	5.0.0
%if %snap
Release:	%mkrel -c git%{snap} %rel.1
%else
Release:        %mkrel 3
%endif
Summary:	Pulse-Eight CEC adapter control library
License:	GPLv2+
Group:		System/Libraries
URL:		http://libcec.pulse-eight.com/
%if %snap
# rm -rf libcec && git clone git://github.com/Pulse-Eight/libcec.git && cd libcec/
# git archive --prefix=libcec-$(date +%Y%m%d)/ --format=tar HEAD | xz > ../libcec-$(date +%Y%m%d).tar.xz
Source0:	%name-%{snap}.tar.xz
%else
Source0:	http://github.com/Pulse-Eight/libcec/archive/libcec-%version.tar.xz
%endif
BuildRequires:	cmake
BuildRequires:	pkgconfig(libudev)
BuildRequires:	pkgconfig(lockdev)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xrandr)
BuildRequires:	pkgconfig(p8-platform)

%description
With libcec you can access your Pulse-Eight CEC adapter.

%package -n cec-utils
Summary:	Utilities for Pulse-Eight CEC adapter control
Group:		System/Kernel and hardware
# the binaries require the library, but automatic dependency generation doesn't
# catch that
Requires:	%libname = %version

%description -n cec-utils
With libcec you can access your Pulse-Eight CEC adapter.

This package contains the command-line tools to configure and test your
Pulse-Eight CEC adapter.

%package -n %libname
Summary:	Shared library for Pulse-Eight CEC adapter control
Group:		System/Libraries
Obsoletes: lib64cec2
Obsoletes: lib64cec3

%description -n %libname
With libcec you can access your Pulse-Eight CEC adapter.

This package contains the shared library which allows programs to access your
Pulse-Eight CEC adapter.

%package -n %devname
Summary:	Development files for %name
Group:		Development/Libraries
Requires:	%libname = %version
Provides:	cec-devel = %version-%release
Provides:	%name-devel = %version-%release

%description -n %devname
With libcec you can access your Pulse-Eight CEC adapter.

This package contains the files for developing applications which
will use libcec.

%prep
%if %snap
%setup -q -n %name-%{snap}
%else
%setup -q -n %{name}-%{name}-%{version}
%endif
%apply_patches

%build
%cmake -DHAVE_LINUX_API=ON

%cmake_build

%install
%cmake_install

%files -n cec-utils
%{_bindir}/cec-client*
%{_bindir}/cecc-client*
%{_bindir}/pyCecClient


%files -n %{libname}
%{_libdir}/%name.so.%{major}*
%{_prefix}/lib/python3.10/site-packages/_cec.so
%{_prefix}/lib/python3.10/site-packages/cec.py

%files -n %{devname}
%{_libdir}/%name.so
%{_libdir}/pkgconfig/%name.pc
%{_includedir}/%name/

%changelog
* Tue Aug 16 2022 tex - 5.0.0-3pclos2022
- rebuild against python 3.10

* Sat Oct 09 2021 tex - 5.0.0-2pclos2021
- Obsolete lib64cec2
- Obsolete lib64cec3

* Fri Oct 08 2021 tex - 5.0.0-1pclos2021
- new version
